Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156855 - semctl32 doesn't work on x86_64
Summary: semctl32 doesn't work on x86_64
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Martuccelli
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 18:19 UTC by Lev Makhlis
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:03:08 UTC


Attachments (Terms of Use)

Description Lev Makhlis 2005-05-04 18:19:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Unlike its siblings shmctl32 and msgctl32, semctl32 in arch/x84_64/ia32/ipc32.c does not properly convert between 32-bit and 64-bit semid_ds.  As a result, semctl(2) calls from a 32-bit application don't work properly.

Version-Release number of selected component (if applicable):
kernel-2.4.21-27.0.4.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. Copy /usr/bin/ipcs from an IA32 system.
2. Create some semaphores.
3. Run ipcs -s.

Actual Results:  ------ Semaphore Arrays --------
key        semid      owner      perms      nsems
0x00003039 0          lmakhlis  666        1
0x00003039 32769      lmakhlis  666        1
0x00003039 65538      lmakhlis  666        1
0x00003039 98307      lmakhlis  666        1
0x00003039 131076     lmakhlis  666        1
0x00003039 163845     lmakhlis  666        1


Expected Results:  Same as with native ipcs:

------ Semaphore Arrays --------
key        semid      owner      perms      nsems
0x00003039 0          lmakhlis  666        1
0x810940ac 32769      lmakhlis  666        2
0x820940fb 65538      lmakhlis  666        2
0xc1094102 98307      lmakhlis  666        2
0xc1094103 131076     lmakhlis  666        2
0xc1094104 163845     lmakhlis  666        2


Additional info:

Comment 1 Red Hat Bugzilla 2007-03-18 22:33:12 UTC
User jparadis@redhat.com's account has been closed

Comment 2 RHEL Product and Program Management 2007-10-19 19:03:08 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.